NotTetris missing .lua

Problems running games? Right in here.
Polochtron
Posts: 1
Joined: 22 Mar 2012, 19:37

Post » 23 Mar 2012, 00:03

Hi guys, i loved mari0, so i wanted to play all the games stabyourself propose.
I have a problem with launching NotTetris,
my computer :
Ubuntu last update, acer aspire one d255e. Mari0 and orthorobot work well.
here is the report :
AL lib: pulseaudio.c:331: PulseAudio returned minreq > tlength/2; expect break up
Warning, quality setting failed! (Result: buffers: 0, samples: 0)
Error: main.lua:3: module 'gameB.lua' not found:
no file "gameB/lua.lua" in LOVE game directories.

no extension "gameB.lua" in LOVE paths.

no field package.preload['gameB.lua']
no file './gameB/lua.lua'
no file '/usr/local/share/lua/5.1/gameB/lua.lua'
no file '/usr/local/share/lua/5.1/gameB/lua/init.lua'
no file '/usr/local/lib/lua/5.1/gameB/lua.lua'
no file '/usr/local/lib/lua/5.1/gameB/lua/init.lua'
no file '/usr/share/lua/5.1/gameB/lua.lua'
no file '/usr/share/lua/5.1/gameB/lua/init.lua'
no file './gameB/lua.so'
no file '/usr/local/lib/lua/5.1/gameB/lua.so'
no file '/usr/lib/i386-linux-gnu/lua/5.1/gameB/lua.so'
no file '/usr/lib/lua/5.1/gameB/lua.so'
no file '/usr/local/lib/lua/5.1/loadall.so'
no file './gameB.so'
no file '/usr/local/lib/lua/5.1/gameB.so'
no file '/usr/lib/i386-linux-gnu/lua/5.1/gameB.so'
no file '/usr/lib/lua/5.1/gameB.so'
no file '/usr/local/lib/lua/5.1/loadall.so'
stack traceback:
[C]: in function 'require'
main.lua:3: in function 'load'
[string "boot.lua"]:378: in function <[string "boot.lua"]:373>
[C]: in function 'xpcall'

i'm a newbie in linux, so i hope its not too stupid...
please help me, i want to play this game!
the 2 players mode looks amazing!

User avatar
slime
Shaders guy
Posts: 148
Joined: 02 Feb 2012, 21:37

Post » 23 Mar 2012, 00:18

I think Not Tetris 2 only works with LÖVE 0.7.2, if you're trying to use 0.8.0 with it.

Degru
Posts: 1
Joined: 16 May 2012, 08:45

Post » 16 May 2012, 08:48

Does anyone know how I would go about installing two different versions of love on Ubuntu 12.04? I installed 0.8 but then realized that it broke nottetris, and am now trying to figure out how to fix it.

User avatar
Sašo
Stabyourself.net
Posts: 1422
Joined: 06 Jan 2012, 12:07

Post » 16 May 2012, 09:37

Degru wrote:Does anyone know how I would go about installing two different versions of love on Ubuntu 12.04? I installed 0.8 but then realized that it broke nottetris, and am now trying to figure out how to fix it.
This should be useful:
http://askubuntu.com/questions/17173/in ... f-software

Can't say when the stable release of Not Tetris 2 will be updated though.